﻿using MauiApp1.ViewModel;

namespace MauiApp1;

public partial class MainPage : ContentPage
{
	int count = 0;

	//public MainPage()
	public MainPage(MainPageViewModel mainPageViewModel)
	{
		InitializeComponent();
		BindingContext = mainPageViewModel;
	}

	private void OnCounterClicked(object sender, EventArgs e)
	{
		count++;
		CounterLabel.Text = $"Current count: {count}";

		SemanticScreenReader.Announce(CounterLabel.Text);
	}
}

